Package org.eclipse.ecf.core.events

## Interface IContainerConnectingEvent

All Superinterfaces:
  `Event`, `IContainerEvent`

All Known Implementing Classes:
  `ContainerConnectingEvent`

    public interface IContainerConnectingEvent
    extends IContainerEvent

Container connecting event

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getData()` Get data associated with connecting
`ID` `getTargetID()` Get ID of container target (the container we are connecting to)

### Methods inherited from interface org.eclipse.ecf.core.events.IContainerEvent

`getLocalContainerID`

### Method Detail

#### getTargetID

    ID getTargetID()

Get ID of container target (the container we are connecting to)

Returns:
  ID the ID of the container we connecting to. Will not be null.

#### getData

    Object getData()

Get data associated with connecting

Returns:
  Object the object data for connect. May be null